#include <stdio.h>
extern "C" {
	#include "../wmgeneral/list.h"
}
#include "Notes.h"
#include <iosfwd>

	typedef struct {
		int border;
		int angle;
		int sticky;
		int ontop;
		char alarm[128];
		int transparent;
		int desktopBackgd;
		int shade;
		int paddingX;
		int paddingY;
		char fontName[128];
		char textColor[16];
		char backgdColor[1024];
		char title[1024];
		char text[1024];
	} NoteStruct;


class CNotesConfig {

private:
	NoteStruct *n,*defaultNote;
	LinkedList	*notesList;


public:
	CNotesConfig();
	~CNotesConfig();
	void CNotesConfig::getNotesList(LinkedList**);
	void CNotesConfig::setNotesList(LinkedList*);
	int CNotesConfig::save_config(char*);
	void CNotesConfig::read_config(char*);
	void CNotesConfig::getDefaultNote(NoteStruct**);
	void CNotesConfig::setDefaultNote(NoteStruct*);
	void write_default_note(std::ostream&);
	void fillDefaultNote(NoteStruct*);
};

